PhotoGPT Developers
API ReferenceGeneration

List jobs

GET
/jobs

Lists API-created generation and training jobs for the authenticated API user. Defaults to the last 24 hours; the date range cannot exceed 7 days.

Authorization

BearerAuth
AuthorizationBearer <token>

Developer API key. Send as Authorization: Bearer <api_key>.

In: header

Query Parameters

start?string

Start time in RFC3339 format

end?string

End time in RFC3339 format

pageToken?string

Pagination token returned by the previous response

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/jobs"
{  "result": {    "jobs": [      {        "createdAt": "string",        "credits": 0,        "errorMessage": "string",        "jobId": "string",        "status": "queued",        "updatedAt": "string"      }    ],    "nextPageToken": "string"  },  "status": "OK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}